# MultiImageBarcodeScanningResult class

Class created for handling the multiple images barcodes detection

Inheritance
  - Object
  - Result
  - MultiImageBarcodeScanningResult
Annotations
  - @JsonSerializable(createFactory: true, includeIfNull: false, explicitToJson: true)

## Constructors

MultiImageBarcodeScanningResult(List<BarcodeScanningResult> barcodeResults)
MultiImageBarcodeScanningResult.canceled()
MultiImageBarcodeScanningResult.error(String message)
MultiImageBarcodeScanningResult.fromJson(Map<String, dynamic> json)
  factory

## Properties

barcodeResults ↔ List<BarcodeScanningResult>
  read / write
hashCode → int
  The hash code for this object.
  read-only inherited
message ↔ String?
  Message with description of returned result, for example, error message
  read / write inherited
operationResult ↔ OperationResult?
  Standart result status
  read / write inherited
runtimeType → Type
  A representation of the runtime type of the object.
  read-only inherited

## Methods

noSuchMethod(Invocation invocation) → dynamic
  Invoked when a nonexistent method or property is accessed.
  inherited
toJson() → Map<String, dynamic>
toString() → String
  A string representation of this object.
  inherited

## Operators

operator ==(Object other) → bool
  The equality operator.
  inherited